/*
 * External debug handler for ffmpeg system
 * Copyright (c) 2005 DivX Inc
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <QCustomEvent>

extern void av_log_win32_init( QCoreApplication &receiver );


const QEvent::Type QDEBUG_MESSAGE_EVENT = QEvent::User;

class QDebugMessageEvent : public QEvent
{
public:
	QDebugMessageEvent( const char *str );

	const QString & GetString() const;

protected:
	QString DebugMsgString;
};
