#include <QtGui/QApplication>
#include "captureui.h"
#include "ffmpeg_dbg.h"

extern void av_log_win32_init( QCoreApplication &receiver );

class QMyApp : public QApplication
{
public:
	QMyApp( int & argc, char ** argv );

protected:
	void customEvent( QEvent * event );
    captureUI w;
};

int main(int argc, char *argv[])
{
    QMyApp a(argc, argv);
    return a.exec();
}

QMyApp::QMyApp( int & argc, char ** argv )
:QApplication(argc, argv)
{
	av_log_win32_init( *this );
    w.show();
    connect(this, SIGNAL(lastWindowClosed()), this, SLOT(quit()));
}

void QMyApp::customEvent( QEvent * event )
{
	if (event->type() == QDEBUG_MESSAGE_EVENT)
		w.DebugEvent(event);
}
