/*
 * Fake code to let MSVC build the DLL
 *
 * Copyright (c) 2005 DivX, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "drffmpeg.h"
#include "avcodec.h"
#include "avformat.h"

#if defined(CONFIG_WIN32)
#define _WIN32_DCOM
#include <objbase.h>
#endif

int drffmpeg_init()
{
#if defined(CONFIG_WIN32)
	CoInitializeEx(NULL, COINIT_MULTITHREADED);
#endif
	return 0;
}

int drffmpeg_exit()
{
#if defined(CONFIG_WIN32)
	CoUninitialize();
#endif
	return 0;
}
